petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscFunctionBegin

First executable line of each PETSc function, used for error handling. Final line of PETSc functions should be PetscFunctionReturn(0);

### Synopsis

    #include <petscsys.h>
    void PetscFunctionBegin;

Not Collective

### Usage

         int something;

         PetscFunctionBegin;

### Notes

Use PetscFunctionBeginUser for application codes.

Not available in Fortran

### See Also

PetscFunctionReturn(), PetscFunctionBeginHot(), PetscFunctionBeginUser()

### Keywords

traceback, error handling

### Level

developer

### Location

src/sys/error/../../../include/petscerror.h

### Examples

src/sys/classes/random/examples/tutorials/ex2.c.html
src/vec/vec/utils/tagger/examples/tutorials/ex1.c.html
src/vec/vec/examples/tutorials/ex19.c.html
src/mat/examples/tutorials/ex5.c.html
src/mat/examples/tutorials/ex8.c.html
src/mat/examples/tutorials/ex12.c.html
src/dm/examples/tutorials/ex20.c.html
src/dm/field/examples/tutorials/ex1.c.html
src/ksp/pc/examples/tutorials/ex2.c.html
src/ksp/ksp/examples/tutorials/ex49.c.html
src/ksp/ksp/examples/tutorials/ex62.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages